%global srcname robotframework

Name:           python-%{srcname}
Version:        6.1.1
Release:    1%{?dist}
Summary:        Generic automation framework for acceptance testing and RPA
License:        Apache-2.0 and MIT
URL:            https://github.com/robotframework/robotframework
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-jsonschema


%global _description %{expand:
Robot Framework is a generic open source automation framework for acceptance
testing, acceptance test driven development (ATDD), and robotic process
automation (RPA).
It has simple plain text syntax and it can be extended easily with libraries
implemented using Python or Java.}


%description
%{_description}

%package -n python3-%{srcname}
Summary:        %{summary}

Provides:      bundled(jquery) = 3.5.1
Provides:      bundled(jquery-highlight)
Provides:      bundled(jquery-tablesorter) = 2.30.5
Provides:      bundled(jquery-templates) = 1.0.0pre
Provides:      bundled(jsxcompressor)

%description -n python3-%{srcname}
%{_description}


%prep
%autosetup -p 1 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files robot


%check
%{python3} utest/run.py


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst BUILD.rst INSTALL.rst CONTRIBUTING.rst
%license LICENSE.txt
%{_bindir}/{robot,rebot,libdoc}


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.1.1-1
- initial build
